var win = Ti.UI.createWindow({backgroundColor: 'white'});
var plainTemplate = {
    childTemplates: [
        {
            type: 'Ti.UI.Label', // Use a label
            bindId: 'rowtitle',  // Bind ID for this label
            properties: {        // Sets the Label.left property
                left: '10dp'
            }
        },
        {
            type: 'Ti.UI.ImageView',  // Use an image view
            bindId: 'pic',            // Bind ID for this image view
            properties: {             // Sets the ImageView.image property
                image: 'KS_nav_ui.png'
            }
        },
        {
            type: 'Ti.UI.Button',   // Use a button
            bindId: 'button',       // Bind ID for this button
            properties: {           // Sets several button properties
                width: '80dp',
                height: '30dp',
                right: '10dp',
                title: 'press me'
            },
            events: {click: report}  // Binds a callback to the button's click event
        }
    ]
};
function report(e) {
    Ti.API.info(e.type);
}
var listView = Ti.UI.createListView({
    // Maps the plainTemplate object to the 'plain' style name
    templates: {'plain': plainTemplate},
    // Use the plain template, that is, the plainTemplate object defined earlier
    // for all data list items in this list view
    defaultItemTemplate: 'plain'
});
var sectionData = [];
var i = 25;
for (var k = 0; k < 25; k++) {
    var section = Ti.UI.createListSection();
    section.setItems([{
        properties: {
            title: 'Row ' + (k + 1)
        },
        rowtitle: {
            text: 'Row ' + (k + 1)
        }
    }]);
    sectionData.push(section);
}
listView.setSections(sectionData);

// Set the initial item threshold
listView.setMarker({sectionIndex: (i - 1), itemIndex: 0});

// Load more data and set a new threshold when item threshold is reached
listView.addEventListener('marker', function (e) {
    var max = i + 25;
    var data = [];
    for (var k = i; k < max; k++) {
        var section = Ti.UI.createListSection();
        section.setItems([{
            properties: {
                title: 'Row ' + (k + 1)
            },
            rowtitle: {
                text: 'Row ' + (k + 1)
            }
        }]);
        listView.appendSection(section);
    }
    i = i + 25;
    listView.setMarker({sectionIndex: (i - 1), itemIndex: 0});
});

win.add(listView);
win.open();